package com.zcloud.safetyDutyList.domain.gateway.tasklist;

import com.zcloud.safetyDutyList.domain.model.tasklist.TaskExecutionE;

import java.util.List;

/**
 * 任务执行记录网关接口
 */
public interface TaskExecutionGateway {

    Boolean add(TaskExecutionE taskExecutionE);

    Boolean batchAdd(List<TaskExecutionE> taskExecutionEList);

    Boolean update(TaskExecutionE taskExecutionE);

    Boolean deleteById(Long id);

    TaskExecutionE getByTaskExecutionId(String taskExecutionId);

    List<TaskExecutionE> listByTaskIssueId(String taskIssueId);

    List<TaskExecutionE> listByTaskListId(String taskListId);

    List<TaskExecutionE> listByTaskDetailId(String taskDetailId);
}
